package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.AimPlaceInfo;


/**
*  service接口类
*/
public interface AimPlaceInfoService{

    List<AimPlaceInfo> getAimPlaceInfoList(AimPlaceInfo record);

    List<AimPlaceInfo> getAimPlaceInfoByPage(Page page, AimPlaceInfo record);

    AimPlaceInfo getAimPlaceInfoById(String id);

    AimPlaceInfo getAimPlaceInfo(AimPlaceInfo record);

    boolean createAimPlaceInfo(AimPlaceInfo record);

    boolean deleteAimPlaceInfo(AimPlaceInfo record);

    boolean updateAimPlaceInfo(AimPlaceInfo record);
}

